API Reference for Marketo Engage

Update Thank You Page

POST /rest/asset/v1/form/{id}/thankYouPage.json

Updates the thank you page configuration for a given form. This update is destructive and the resulting draft will not have any memory of the previous configuration.

Operation ID
updateThankYouPageByIdUsingPOST
Permissions
Read-Only Assets, Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfThankYouPageResponse

Parameters

Path 1

id integer (int32) required

Request body

application/x-www-form-urlencoded · required · UpdateThankYouPageRequest · 7 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

thankyou array of ThankYouPageRequest

JSON array of followup rules

Model ThankYouPageRequest

default boolean

When true, this is the default rule, and will be applied when a user does not qualify for any of the other rules

followupType string required

Type of followup. When set to url, will follow to the url set in followupValue. When set to lp, will follow to the Landing page with the id given in followupValue

followupValue string required

Where to follow to on submission. Given as a URL or and Integer depending on followupType

operator string required

Operator to evaluate aginst the subject field

subjectField string required

Field to apply to operator to

values array of string required

Comma-separated list of values to compare to with the operator

Responses

200 OK ResponseOfThankYouPageResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of ThankYouPageResponse

Model ThankYouPageResponse

id integer (int32)
thankYouList array of FormThankYouPageDTO

Model FormThankYouPageDTO

default boolean
followupType string
followupValue object
operator string
subjectField string
values array of string
success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "thankYouList": [
        {
          "default": true,
          "followupType": "string",
          "followupValue": {},
          "operator": "string",
          "subjectField": "string",
          "values": [
            "string"
          ]
        }
      ]
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results